AddProduct
Arithmetic Operations

Pixel by pixel addition of product of pixels from two source images to floating point pixel values of destination image. More...

## Functions

NppStatus | nppiAddProduct_8u32f_C1IMR (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 8-bit unsigned char channel image product added to in place floating point destination image using filter mask (updates destination when mask is non-zero). More...
NppStatus | nppiAddProduct_8u32f_C1IR (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 8-bit unsigned char channel image product added to in place floating point destination image. More...
NppStatus | nppiAddProduct_16u32f_C1IMR (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 16-bit unsigned short channel image product added to in place floating point destination image using filter mask (updates destination when mask is non-zero). More...
NppStatus | nppiAddProduct_16u32f_C1IR (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 16-bit unsigned short channel image product added to in place floating point destination image. More...
NppStatus | nppiAddProduct_32f_C1IMR (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 32-bit floating point channel image product added to in place floating point destination image using filter mask (updates destination when mask is non-zero). More...
NppStatus | nppiAddProduct_32f_C1IR (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 32-bit floating point channel image product added to in place floating point destination image. More...

## Detailed Description

Pixel by pixel addition of product of pixels from two source images to floating point pixel values of destination image.

## Function Documentation

NppStatus nppiAddProduct_16u32f_C1IMR | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 16-bit unsigned short channel image product added to in place floating point destination image using filter mask (updates destination when mask is non-zero).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddProduct_16u32f_C1IR | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 16-bit unsigned short channel image product added to in place floating point destination image.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddProduct_32f_C1IMR | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 32-bit floating point channel image product added to in place floating point destination image using filter mask (updates destination when mask is non-zero).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddProduct_32f_C1IR | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 32-bit floating point channel image product added to in place floating point destination image.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddProduct_8u32f_C1IMR | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 8-bit unsigned char channel image product added to in place floating point destination image using filter mask (updates destination when mask is non-zero).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddProduct_8u32f_C1IR | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 8-bit unsigned char channel image product added to in place floating point destination image.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2017 NVIDIA Corporation